Subject: bug#23888: 25.1.50; Info calc -- No such node or anchor: Top

From: Udyant Wig <[email-masked]>
Date: Tue, 5 Jul 2016 11:32:23 +0530

On 07/05/2016 10:57 AM, Udyant Wig wrote:
> On 07/05/2016 09:43 AM, Udyant Wig wrote:
>>
>>   Well, as of this morning, the build system requires an aclocal newer
>>   than the one my OS gives me (1.14.)
>>
>> cd . && ACLOCAL_PATH='' /bin/bash /home/udyant/build/emacs/build-aux/missing aclocal-1.15 -I m4
>> /home/udyant/build/emacs/build-aux/missing: line 81: aclocal-1.15: command not found
>> WARNING: 'aclocal-1.15' is missing on your system.
>>          You should only need it if you modified 'acinclude.m4' or
>>          'configure.ac' or m4 files included by 'configure.ac'.
>>          The 'aclocal' program is part of the GNU Automake package:
>>          <http://www.gnu.org/software/automake>
>>          It also requires GNU Autoconf, GNU m4 and Perl in order to run:
>>          <http://www.gnu.org/software/autoconf>
>>          <http://www.gnu.org/software/m4/>
>>          <http://www.perl.org/>
>> Makefile:437: recipe for target 'aclocal.m4' failed
>> make: *** [aclocal.m4] Error 127
> 
>   After investigating, I ran autoreconf -fiv.  That set the build system
>   straight.  Now, though, the calc manual for 25 is not generated at
>   all; there is no entry in Info.
> 
>   I will capture the relevant bits of the logs from a clean build.

  Here it is.
  
make -C doc/misc info
make[2]: Entering directory '/home/udyant/build/emacs/doc/misc'
make[2]: Nothing to be done for 'info'.
make[2]: Leaving directory '/home/udyant/build/emacs/doc/misc'
  GEN      info/dir
make[1]: Leaving directory '/home/udyant/build/emacs'
umask 022; /bin/mkdir -p "/usr/local/share/info"
unset CDPATH; \
thisdir=`/bin/pwd`; \
exp_infodir=`cd "/usr/local/share/info" && /bin/pwd`; \
if [ "`cd ./info && /bin/pwd`" = "$exp_infodir" ]; then \
  true; \
else \
   [ -f "/usr/local/share/info/dir" ] || \
      [ ! -f ./info/dir ] || \
      /usr/bin/install -c -m 644 ./info/dir "/usr/local/share/info/dir"; \
   info_misc=`make --no-print-directory -s -C doc/misc echo-info`; \
   cd ./info ; \
   for elt in emacs.info eintr.info elisp.info ${info_misc}; do \
      test "yes" = "no" && test ! -f $elt && continue; \
      for f in `ls $elt $elt-[1-9] $elt-[1-9][0-9] 2>/dev/null`; do \
       (cd "${thisdir}"; \
        /usr/bin/install -c -m 644 ./info/$f "/usr/local/share/info/$f"); \
        [ -n "/bin/gzip" ] || continue ; \
        rm -f "/usr/local/share/info/$f.gz"; \
        /bin/gzip -9n "/usr/local/share/info/$f"; \
      done; \
     (cd "${thisdir}"; \
      /usr/bin/install-info --info-dir="/usr/local/share/info" "/usr/local/share/info/$elt"); \
   done; \
fi
install-info: warning: no info dir entry in `/usr/local/share/info/calc.info

  I went into build directory and ran  make docs.  I saw this (arrow
  mine):

make -C doc/misc html
make[1]: Entering directory '/home/udyant/build/emacs/doc/misc'
  GEN      ada-mode.html
  GEN      auth.html
  GEN      autotype.html
  GEN      bovine.html
->GEN      calc.html
  GEN      cc-mode.html
  GEN      cl.html

-- 
Udyant Wig